[arch-commits] Commit in libpng/trunk (ChangeLog PKGBUILD)

Douglas Soares de Andrade douglas at archlinux.org
Sun Aug 17 03:22:36 EDT 2008


    Date: Sunday, August 17, 2008 @ 03:22:36
  Author: douglas
Revision: 9431

upgpkg: libpng 1.2.30-1
    Updated for i686: 1.2.30

Modified:
  libpng/trunk/ChangeLog
  libpng/trunk/PKGBUILD

-----------+
 ChangeLog |    7 +++++++
 PKGBUILD  |    6 +++---
 2 files changed, 10 insertions(+), 3 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-08-17 07:17:37 UTC (rev 9430)
+++ ChangeLog	2008-08-17 07:22:36 UTC (rev 9431)
@@ -1,4 +1,11 @@
 
+2008-08-17  Douglas Soares de Andrade  <douglas at archlinux.org>
+
+	* Updated for i686: 1.2.30
+	* Fixes some security issues
+	* Remove the apng patch as there was no compatible version
+	  for this version
+
 2008-07-04  Douglas Soares de Andrade  <douglas at archlinux.org>
 
 	* Updated for i686 - 1.2.29-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-17 07:17:37 UTC (rev 9430)
+++ PKGBUILD	2008-08-17 07:22:36 UTC (rev 9431)
@@ -4,7 +4,7 @@
 # Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
 
 pkgname=libpng
-pkgver=1.2.29
+pkgver=1.2.30
 pkgrel=1
 pkgdesc="A collection of routines used to create PNG format graphics files"
 arch=('i686' 'x86_64')
@@ -16,14 +16,14 @@
 	    ${pkgname}-${pkgver}-apng.patch )
 options=('!libtool')
 
-md5sums=('f588cb4ee39e3a333604096f937ea157'
+md5sums=('2e42cc17231231bdc9be8c5928535c8a'
          '8aa74a2912d68d0f9351f3bd137ab05d')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
 
   # Add animated PNG (apng) support
-  patch -Np1 -i $startdir/src/${pkgname}-${pkgver}-apng.patch || return 1
+  # patch -Np1 -i $startdir/src/${pkgname}-${pkgver}-apng.patch || return 1
 
   libtoolize --force --copy || return 1
   aclocal || return 1




More information about the arch-commits mailing list